Subject: Re: [PATCH 0/2] Two janitorial patches for builtin/blame.c

From: David Kastrup <[email-masked]>
Date: Tue, 21 Jan 2014 22:30:22 +0100

Jonathan Nieder <[email-masked]> writes:

> David Kastrup wrote:
>
>> and contrib.  The README file states
>>
>>     Git is an Open Source project covered by the GNU General Public
>>     License version 2 (some parts of it are under different licenses,
>>     compatible with the GPLv2). It was originally written by Linus
>>     Torvalds with help of a group of hackers around the net.
>>
>> without mentioning _which_ parts are under different licenses.
>
> Okay, how about this patch?
>
> diff --git i/README w/README
> index 15a8e23..6745db5 100644
> --- i/README
> +++ w/README
> @@ -21,8 +21,9 @@ and full access to internals.
>  
>  Git is an Open Source project covered by the GNU General Public
>  License version 2 (some parts of it are under different licenses,
> -compatible with the GPLv2). It was originally written by Linus
> -Torvalds with help of a group of hackers around the net.
> +compatible with the GPLv2, and have notices to that effect). It was
> +originally written by Linus Torvalds with help of a group of hackers
> +around the net.

Clearer.  I think it would be most accurate to state:

    Git is an Open Source project covered by the GNU General Public
    License version 2.  Those parts of it which may be also be
    distributed under other licenses contain notices to that effect.

The point is that as a whole, the software is distributed under GPLv2
(that's what "compatible" licensing actually means since the GPL demands
distribution of the software "as a whole" under the GPL) but parts of it
may optionally be distributed under other licenses.

-- 
David Kastrup